module.exports = {
    stories: ['../src/**/*.stories.tsx'],
    addons: [
        '@storybook/preset-typescript',
        '@storybook/preset-create-react-app',
        '@storybook/addon-actions',
        '@storybook/addon-links',
        '@storybook/addon-viewport/register',
    ],
    webpackFinal: async (config, { configType }) => {
        config.resolve.extensions = [...config.resolve.extensions, '.web.tsx', '.web.ts'];

       return {
          ...config,
          plugins: config.plugins.filter(plugin => {
             if (plugin.constructor.name === 'ESLintWebpackPlugin') {
                return false
             }
             return true
          }),
       }
    },
};
